import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  filename: z.string(),
  pdfData: z.instanceof(Uint8Array),
  uploadedAt: z.coerce.date().optional(),
  groupId: z.number().int()
}).strict();
export const PdfFileCreateManyInputObjectSchema: z.ZodType<Prisma.PdfFileCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfFileCreateManyInput>;
export const PdfFileCreateManyInputObjectZodSchema = makeSchema();
